mia-3ddistance
Prev | Processing of series of 2D images in a 3D fashion (out-of-core) | Next

### mia-3ddistance

#### Sysnopis:

`mia-3ddistance` {-i `string`} {-r `string`} {-o `string`} [ `options` ...]

#### Description:

This program takes two binary masks as input and evaluates the distance of one mask with respect to the other in voxel space. The output is given as text file with the coordinates of the source voxels and their distance to the reference mask. Correction for voxel size must be done after processing.

#### Options:

#### File IO

-i, --in-file=(input, required); string

  input image(s) that contain the source pixel mask

-r, --ref-file=(input, required); string

  reference mask to evaluate the distance from

-o, --out-file=(output, required); string

  output file name

#### Help & Info

-V, --verbose=warning; dict

  verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:

  trace: | Function call trace
  debug: | Debug output
  info: | Low level messages
  message: | Normal messages
  warning: | Warnings
  fail: | Report test failures
  error: | Report errors
  fatal: | Report only fatal errors

--copyright=(); bool

  print copyright information

-h, --help=(); bool

  print this help

-?, --usage=(); bool

  print a short help

--version=(); bool

  print the version number and exit

#### Processing

--threads=-1; int

  Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).

#### Test

--self-test

  run a self test

#### Example:

Evaluate the distance of the mask given in the images srcXXXX.png to the mask given in refXXXX.png and save the result to distances.txt

    mia-3ddistance -i srcXXXX.png -r refXXXX.png -o distances.txt

#### Author(s):

Gert Wollny

Prev | Up | Next
mia-2dstackfilter | Home | mia-multihist